--- vim60/src/auto/configure.bero	Mon Oct 29 16:59:48 2001
+++ vim60/src/auto/configure	Mon Oct 29 17:03:06 2001
@@ -1155,7 +1155,14 @@
 if test -d /usr/local/include; then
   tt=`echo "$CPPFLAGS" | sed -e 's+-I/usr/local/include ++g' -e 's+-I/usr/local/include$++g'`
   if test "$tt" = "$CPPFLAGS"; then
-    CPPFLAGS="$CPPFLAGS -I/usr/local/include"
+    # Don't do this if gcc looks in /usr/local/include by default! gcc 3.1+ is rather
+    # unforgiving about these.
+    gccinc=`$CC -v -xc /dev/null -E 2>&1 >/dev/null \
+      | sed -n '/include.*search starts here/,/End of search/p' \
+      | grep -v '\(include.*search starts here\|End of search list\)'`
+    if ! echo $gccinc |grep -q /usr/local/include; then
+      CPPFLAGS="$CPPFLAGS -I/usr/local/include"
+    fi
   fi
 fi
 
--- vim60/src/configure.in.bero	Mon Oct 29 17:03:19 2001
+++ vim60/src/configure.in	Mon Oct 29 17:03:30 2001
@@ -74,9 +74,18 @@
   fi
 fi
 if test -d /usr/local/include; then
-  tt=`echo "$CPPFLAGS" | sed -e 's+-I/usr/local/include ++g' -e 's+-I/usr/local/include$++g'`
+  tt=`echo "$CPPFLAGS" | sed -e 's+-I/usr/local/include ++g' -e
+'s+-I/usr/local/include$++g'`
   if test "$tt" = "$CPPFLAGS"; then
-    CPPFLAGS="$CPPFLAGS -I/usr/local/include"
+    # Don't do this if gcc looks in /usr/local/include by default! gcc 3.1+ is
+    # rather
+    # unforgiving about these.
+    gccinc=`$CC -v -xc /dev/null -E 2>&1 >/dev/null \
+      | sed -n '/include.*search starts here/,/End of search/p' \
+      | grep -v '\(include.*search starts here\|End of search list\)'`
+    if ! echo $gccinc |grep -q /usr/local/include; then
+      CPPFLAGS="$CPPFLAGS -I/usr/local/include"
+    fi
   fi
 fi
 
